# OgreRenderSystem.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreCommon.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreRenderSystemCapabilities.h"`
`#include "OgreRenderTarget.h"`
`#include "OgreRenderTexture.h"`
`#include "OgreFrameListener.h"`
`#include "OgreConfigOptionMap.h"`
`#include "OgreGpuProgram.h"`
`#include "OgrePlane.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::map< String, RenderTarget * > | RenderTargetMap
typedef std::multimap< uchar, RenderTarget * > | RenderTargetPriorityMap

## Enumerations

enum | TexCoordCalcMethod { TEXCALC_NONE, TEXCALC_ENVIRONMENT_MAP, TEXCALC_ENVIRONMENT_MAP_PLANAR, TEXCALC_ENVIRONMENT_MAP_REFLECTION, TEXCALC_ENVIRONMENT_MAP_NORMAL, TEXCALC_PROJECTIVE_TEXTURE }
| Enum describing the ways to generate texture coordinates. More...
enum | StencilOperation { SOP_KEEP, SOP_ZERO, SOP_REPLACE, SOP_INCREMENT, SOP_DECREMENT, SOP_INCREMENT_WRAP, SOP_DECREMENT_WRAP, SOP_INVERT }
| Enum describing the various actions which can be taken onthe stencil buffer. More...

## Typedef Documentation

typedef std::map< String, RenderTarget * > Ogre::RenderTargetMap

| Definition at line 48 of file OgreRenderSystem.h.

typedef std::multimap<uchar, RenderTarget * > Ogre::RenderTargetPriorityMap

| Definition at line 49 of file OgreRenderSystem.h.

## Enumeration Type Documentation

enum Ogre::StencilOperation

Enum describing the various actions which can be taken onthe stencil buffer.

Enumeration values:

  SOP_KEEP | Leave the stencil buffer unchanged.
  SOP_ZERO | Set the stencil value to zero.
  SOP_REPLACE | Set the stencil value to the reference value.
  SOP_INCREMENT | Increase the stencil value by 1, clamping at the maximum value.
  SOP_DECREMENT | Decrease the stencil value by 1, clamping at 0.
  SOP_INCREMENT_WRAP | Increase the stencil value by 1, wrapping back to 0 when incrementing the maximum value.
  SOP_DECREMENT_WRAP | Decrease the stencil value by 1, wrapping when decrementing 0.
  SOP_INVERT | Invert the bits of the stencil buffer.

Definition at line 67 of file OgreRenderSystem.h.

enum Ogre::TexCoordCalcMethod

Enum describing the ways to generate texture coordinates.

Enumeration values:

  TEXCALC_NONE | No calculated texture coordinates.
  TEXCALC_ENVIRONMENT_MAP | Environment map based on vertex normals.
  TEXCALC_ENVIRONMENT_MAP_PLANAR | Environment map based on vertex positions.
  TEXCALC_ENVIRONMENT_MAP_REFLECTION |
  TEXCALC_ENVIRONMENT_MAP_NORMAL |
  TEXCALC_PROJECTIVE_TEXTURE | Projective texture.

Definition at line 53 of file OgreRenderSystem.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:14 2006